#! /bin/sh

FIC_RESULT_AVEC="resultats-avec-depassement.txt"
FIC_RESULT_SANS="resultats-sans-depassement.txt"

FIC_LECTURE="resultats-lecture.txt"
FIC_GRAPHIQUE="resultats.gif"

for i in $(seq 4 1024)
do
	printf "%4d " $i
	./depassement-tlb $i $((1000000/$i))
done > "${FIC_RESULT_AVEC}"

for i in $(seq 4 1024)
do
	printf "%4d " $i
	./sans-depassement-tlb $i $((1000000/$i))
done > "${FIC_RESULT_SANS}"

echo "set terminal gif giant size 1600,1200;" \
     "set output '$FIC_GRAPHIQUE';"           \
     "set multiplot;"              \
     "set xlabel 'Nb entrees'; "              \
     "set ylabel 'duree boucle (ns)'; "       \
     "plot '$FIC_RESULT_AVEC' title 'Pages differentes' with line lc rgb '#0000FF';"  \
     "replot '$FIC_RESULT_SANS' title 'Pages identiques' with line lc rgb '#FF0000'; " \
 | gnuplot

